License Agreement and Copyright

The Win96 software program and this help file are Copyright © 2000-2006 Don Starr. All rights reserved.

IMPORTANT - READ CAREFULLY

This license and disclaimer statement constitutes a legal agreement ("License Agreement") between you (either as an individual or a single entity) and Don Starr (the "Author"), for this software product (the "Software"), including any software, media, and accompanying on-line or printed documentation.

BY DOWNLOADING, INSTALLING, COPYING, OR OTHERWISE USING THE SOFTWARE, YOU AGREE TO BE BOUND BY ALL OF THE TERMS AND CONDITIONS OF THIS LICENSE AND DISCLAIMER AGREEMENT.

You may not modify, reverse engineer, decompile, or disassemble the object code portions of this Software.

This Software is owned by Don Starr and is protected by copyright law and international copyright treaty.

You may not copy the Software or distribute the Software to any party other than those defined at the top of this license agreement.

This Software is provided "as is" and without any warranties expressed or implied, including, but not limited to, implied warranties of fitness for a particlar purpose.

In no event shall the author be liable for any damages whatsoever (including, without limitation, damages for loss of business profits, business interruption, loss of business information, or other pecuniary loss) arising out of the use of or inability to use this Software or documentation, even if the author has been advised of the possibility of such damages.

Copyright © 2000-2006 Don Starr. All rights reserved.


Quick Start Guide

This section is intended to help you start using some of the basic features of Win96. It is assumed that you already have:

· downloaded Win96 and unpacked its files into a single folder (called the “installation folder” here),

· connected your PRO-96 to your PC’s serial (COM) port using a cable that supports the PRO-96, and

· turned the PRO-96 ON.

If you haven’t yet completed the above steps, see the following sections, as appropriate:

System requirements

Downloading and installing Win96

Connecting the PRO-96 to the PC

The remainder of this page will guide you through:

· Downloading the scanner’s data into Win96

· Saving the downloaded data as a P96 file (the file format used by Win96)

· Modifying the data (i.e. adding a Motorola Type-II trunked system)

· Saving the data as a new P96 file

· Uploading the new data to the PRO-96

Download from the scanner

1. From Win96’s Scanner menu, select the Download from Scanner item. (Alternatively, you can just press CTRL+D on the PC’s keyboard).

2. The download process will begin. Both the scanner and Win96 will display progress bars, roughly indicating the amount of data transferred.

3. When the transfer is complete, Win96 will display the downloaded data as a new “file” item. This new file will be named “(from scanner)”.

Save the downloaded data

1. From Win96’s File menu, select Save.

2. You’ll be presented with the “Save As” dialog box (since you’ve never saved this data before). The first time you run Win96, this dialog will start in either My Documents or the folder where you installed Win96. Subsequently, it will “remember” where you last saved or loaded a file and will start in that location.

3. Navigate to the location where you want to save the file. It is suggested that you use either a subfolder of My Documents (e.g. “My Radio Files”) or the folder where Win96 is installed.

4. In the File Name box, type a new name for the file. The file extension must be P96 (that is, the file must end with “.p96”).

5. Click the Save button. The file will be saved, and the “(from scanner)” name will change to the filename you entered.

Modifying the data

As an example of modifying the file’s data, we’ll enter a simple Motorola Type-II trunked system:

1. Select the “Channels” page.

2. Choose an unused bank by clicking on the up/down arrows next to the Bank field at the upper-left of the Channels page.

3. Set the bank’s Type to MOT, using the drop-down list at the top center of the page.

4. Enter the system’s control channel frequencies (we’ll make up a couple):

a. Click on a channel’s Alpha Tag cell (in the graphic above, we’ve clicked on channel 00’s tag).

b. If you single-click on a cell, you can begin typing a new value immediately. The first character typed will erase the existing data. If you double-click on a cell, then you’ll enter the edit mode, where you can move the blinking cursor through the existing data to change it.

c. Type the new Alpha Tag. In this example, just type CtrlChanA

NOTE: When entering Alpha Tags, you are limited to 12 characters of text. The data entry fields always contain exactly 12 characters, even if some of those characters are trailing spaces. If it appears that you are not able to enter 12 characters, press the DELETE key to remove trailing spaces.

d. Press the TAB key. The cell highlight (the white border around the active cell) will move to channel 00’s Frequency cell.

e. Type a new frequency – 867.8625.

f. Press the TAB key to move to the RxMode column, and press the ‘M’ key. This sets the channel’s receive mode to MOT (Motorola).

g. Press the TAB key 5 times. The cell highlight will move through the rest of channel 00’s cells and will end up on channel 01’s Alpha Tag.

h. Repeat steps (c) through (f) for channel 01, setting the Alpha Tag to CtrlChanB, the frequency to 866.2625, and the RxMode to MOT.

5. In the lower-right quadrant of the page, you’ll find the Talk Group entry grid. Make sure that the button labeled DEC is depressed.

6. Enter a couple of Talk Group IDs:

a. Click on the Alpha Tag cell for Talk Group ID 00.

b. Type a new alpha tag (keeping mind that the tag may already have 12 blank spaces!). For this example, just type “TalkGroup01”.

c. Press the TAB key. The cell highlight will move to the ID column.

d. Type a Motorola Type-II talk group ID. For example, 48.

e. Press the TAB key twice, to move the cell highlight to Talk Group ID 01’s Alpha Tag cell.

f. Repeat steps (b) through (d) to enter a second Talk Group ID.

You’ve now entered a simple Motorola Type-II system. The entries we’ve used as an example here probably won’t actually do anything for your local system - they’re just listed here to give an idea of how the data entry process works.

Save as a new file

To save the altered data as a new P96 file (so that you don’t overwrite the data that you previously downloaded and saved), select Save As… from Win96’s File menu. You’ll again be presented with the “Save As” dialog box. Follow the steps above under “Save the downloaded data”, but typing a different file name. The “file button” below Win96’s menus will change to show the new file name.

Upload to the scanner

1. From Win96’s Scanner menu, select Upload from Scanner. (Alternatively, you can just press CTRL+U on the PC’s keyboard).

2. The upload process will begin. Both the scanner and Win96 will display progress bars, roughly indicating the amount of data transferred.

On the PRO-96, you should now be able to look at the data in the bank you selected above and see your changes. Depending on the type of cable used, you may have to unplug the cable from the scanner’s PC/IF port before you’re able to control the scanner from its keypad.


Welcome to Win96

Please select a help topic from the Navigation pane to the left. You can select topics by:

  • browsing through the topic heirarchy under the "Contents" tab,
  • looking for an entry by keyword in the Index,
  • searching for any words in the "Search" tab, or
  • selecting a previously-saved location on the "Favorites" tab.

IMPORTANT

This help file assumes that you have a PRO-96 connected to a COM port on your Windows PC, via a supported cable. For information on cables, see the System Requirements text. For help connecting your scanner and verifying that the connection is OK, see the Connecting the Scanner page.


Features

Win96 is an application that allows you to manage the data in your PRO-96 Digital Trunking Scanner. Among the main features are:

  • Full control over all scanner settings
  • Control over some "undocumented" features of the scanner
  • Interfaces directly with the PRO-96's "Virtual Scanner" folders

PLEASE NOTE: This help text does not attempt to teach you how to "program" the PRO-96. That is, it doesn't explain trunking systems, fleet maps, SAME/FIPS, etc.. Instead, this help text will show you how to use Win96 to change the scanner's data that you would otherwise enter via the scanner's keypad.

For information about the PRO-96, consult the user's manual that came with the scanner.

For information about various trunking systems, consult one of the many resources available on the 'net. For example: TrunkedRadio.net.

  • To see what you need to run Win96, read the requirements section.
  • To get up and running with Win96, read the Quick Start Guide

To get the latest version of Win96, visit the Win96 home page.


System Requirements

In order to use Win96, you must have the following:

  • A copy of the Win96 program
  • A PRO-96 Digital Trunking Scanner
  • A programming cable. There are several cables that will work with the PRO-96. See this web page for detailed information.
  • A Windows (95, 98, NT4, 2000, XP) PC
  • An available serial ("COM") port. If you don't have a serial port, then you will have to use a USB-to-serial adapter. There is some information on those devices on the above "cable" web page.


Registration Information

Win96 is not "freeware". You may evaluate it, free of charge, for a 30-day trial period. If you wish to keep using Win96 after that trial period has expired, you must register it.

Before you register Win96, please take the time to make sure that it performs to your satisfaction. This is what the “trial period” is for. Ensure that you can download from and upload to the scanner using your cable of choice and any adapters (e.g. USB-Serial) that you may require for your particular configuration. Also verify that you can use the “Virtual Scanner” functions.

Registration instructions and pricing can be found on the Win96 web site here.


Installing Win96

Getting Win96

The most recent release of Win96 can always be found at the Win96 web site. When you download Win96, you’ll be saving a compressed file (Win96.ZIP) onto your local hard drive. You must have a decompression utility (e.g. WinZip) to open this file. (Windows XP users: Windows XP contains its own “unzipper” - no external utility is required).

Installing Win96

Win96 does not include an “installer” like many Windows programs.

After downloading the ZIP file, you need to extract the files it contains to a single location (folder) on your hard drive. Typically, this would be a new folder that you create. For example: “C:\Program Files\Win96”.

The ZIP archive contains these files:

· Win96.exe The Win96 program. This is the file you “run”.

· Win96Help.chm This help file.

· WinXXCommon.dll A library shared by all of the WinXX programs, so that their “look and feel” stays constant.

NOTE: On Windows 98 and Millennium machines, it may be necessary to reboot before you can run Win96. If it’s necessary, the program will inform you the first time you try to start it.

You may wish to create a shortcut to Win96 on your desktop (or in another location) so that you can conveniently launch the program. Here are the steps required to create such a shortcut on the desktop (these instructions are for Windows XP, but other versions of Windows are similar):

· Right-click on the desktop and, from the pop-up menu that appears, select New à Shortcut.

· The “Create Shortcut” wizard appears

· Click the Browse… button

· In the Folders tree that’s presented, navigate to the folder where Win96 is installed.

· Click on Win96.exe

· Click the OK button

· Click the Wizard’s Next button

· Type a name for the shortcut (e.g. Win96)

· Click the Finish button


Connecting the Scanner

1. If you already have an available serial (COM) port, skip to step 2. Otherwise, connect a USB-to-serial adapter:

a. Plug your USB adapter into an available USB port. Follow the instructions supplied with the adapter to install any required drivers, etc.

b. If you don’t know what COMx value was assigned to the port, use Device Manager (in Control Panel) to view “Ports”. Make a note of the COMx value used by the adapter.

2. Plug the DB-9 Female end of the programming cable into an available serial (COM) port. For information about supported cables, follow this link.

3. Plug the cable’s 1/8” mono plug into the PC/IF port on the right-hand side of the PRO-96.

4. If the scanner is powered ON, the display may or may not indicate “Clone Mode”. This is highly dependent on the cable you use. For example, the original GRE (grey) cable doesn’t seem to cause this display, while the “Purple” cable does. If the display doesn’t change to “Clone Mode”, don’t worry (yet) – we’ll verify that the cable works in the next few steps.

Verify that you’ve connected the scanner properly, using Win96:

1. Turn the scanner ON.

2. Launch Win96.

3. Under Win96’s Configuration menu, select Serial Port….

4. Make sure the selected COM port number matches the COM port to which you attached the scanner.

5. Click the OK button to close the Serial Port Configuration window.

6. From the Scanner menu, select Download from Scanner (or press CTRL+D).

7. Win96 will attempt to start a download operation, retrieving the scanner’s current settings. The scanner’s display should indicate that it’s in Clone Mode, and that it is sending data.

If the scanner does not begin sending data, or if Win96 displays an error message (e.g. Unable to open the COM port, timeout waiting for header, expected to read back data, etc.), you should attempt the following one at a time:

1. Double-check to ensure that you have the correct COM port selected.

2. Make sure the programming cable is firmly seated in the scanner’s jack and in the PC’s 9-pin connector.

3. Make sure that no other software is using the serial port. The usual suspects include PDA “sync” software, such as Palm’s HotSync. You must either close such software, or temporarily disable it (so that it’s no longer using the port).

4. Under Win96’s Configuration menu, select Serial Port…, and try each of the following:

a. If you’re using a USB adapter, try checking the Extra Write Time option.

b. If you’re using a home-built cable, try checking the Set RTS Line High option. If you’re using a GRE or Purple cable, make sure this item is not checked.

c. If you’re using a one-way cable, make sure the Enable “Readback” Tests item is not checked. (Note: a one-way cable cannot be used to download from the scanner; you can only upload to the scanner with this type of cable).

5. If no combination of the above helps, you should try another computer. There have been rare instances of serial port hardware that cannot drive the electronics in the interface cable.


Win96 Menus

Some Win96 functions can be selected via the program’s on-screen menus. These menus are:

File

Edit

Search

Scanner

Configuration

Help


File Menu

From the File menu, you can select the following:

New template Creates a new file with default settings. Also available by pressing CTRL+N.

Open… Displays the “Open” dialog box, from which you can select an existing P96 file that you want to bring into Win96 so that you can edit it and/or upload it to the scanner. Also available by pressing CTRL+O.

Save Saves the current file to disk. If you have never saved this file (i.e. it was either a new template, downloaded from the scanner, or was created via Virtual Scanner interface, then this option will act as if you had selected Save As…. Also available by pressing CTRL+S.

Save As… Displays the “Save As” dialog box, from which you can specify the location and file name with which to save the current data.

Export… Allows you to save the file in formats other than Win96’s native P96 binary format. See the File Import and Export page for more details.

Import… Allows you to load a non-P96 file from disk. See the File Import and Export page for more details.

Close Closes the P96 file that you’re currently editing. If this is the only file open, a “new template” will be created in its place. Also available by pressing CTRL+F4.

Exit Win96 Closes the Win96 program. Also available by pressing ALT+F4, or by clicking the “Close” button at the extreme right end of the Win96 title bar (the button looks like an X).


Edit Menu

From the Edit menu, you can select the following:

Cut Only available on the Channels page, this item lets you “cut” the selected Channels or Talk Group IDs to the clipboard, so that they can be pasted to another location in Win96 (i.e. another bank or file), or to an external program. The items will always be copied to the clipboard, but you’ll be prompted as to whether you want to delete them (and how you want to delete them – by just erasing or by moving following entries “up” in the list). Also available by pressing CTRL+X. For more information about copy/paste formats, see this page.

Copy Only available on the Channels page, this item lets you “copy” the selected Channels or Talk Group IDs to the clipboard, so that they can be pasted to another location in Win96 (i.e. another bank or file), or to an external program. Also available by pressing CTRL+C. For more information about copy/paste formats, see this page.

Paste Only available on the Channels page, this item lets you “paste” previously-copied items from the clipboard to either the Channels or Talk Group ID list. This is useful for moving channels or talk groups within a bank, among different files, or from an external program into Win96. Also available by pressing CTRL+V. For more information about copy/paste formats, see this page.

Insert Item Only available on the Channels page, this item lets you insert a new, blank item before the top-most selected item in either the Channels or Talk Group ID list. This function is also available by pressing ALT+INSERT.

Delete Item(s) Only available on the Channels page, this item lets you delete the selected item(s) in either the Channels or Talk Group ID list. This function is also available by pressing ALT+DELETE.

Move Item(s) Up Only available on the Channels page, this item lets you move the selected item(s) in either the Channels or Talk Group ID list “up” by one position. This function is also available by pressing CTRL+UpArrow.

Move Item(s) Down Only available on the Channels page, this item lets you move the selected item(s) in either the Channels or Talk Group ID list “down” by one position. This function is also available by pressing CTRL+DownArrow.

Bank Editor… This item starts the Bank Editor function, and is also available by pressing ALT+B.

Copy Bank… This item starts the Copy Bank function, in which you can copy the current bank from the current P96 file to any destination bank in any other open P96 file. (This function is disabled if you have only one file open or are not on the “Channels” page). After selecting this menu item, you will be presented with a window prompting you for the target P96 file and bank. This is where the currently viewed bank data will be copied. This function is also available by pressing CTRL+ALT+B.

Sort X by Y These four items allow you to sort the channels list by alpha tag or frequency, and the talk group list by alpha tag or ID. Only the currently-displayed data will be sorted: either the 50 channels in the current bank, or the 30 IDs in the current ID sub-bank. Some notes on the sorting:

· When sorting channels by alpha tag, any channel with the “default” alpha tag (e.g. Bank 0 Ch 22) will be placed later than channels with non-default tags.

· When sorting channels by frequency, any channel with a frequency of 0.00000 will be placed later than channels with non-zero frequencies.

· When sorting talk group IDs by alpha tag, any ID with a blank alpha tag will be placed later than IDs with non-blank tags.

· When sorting talk group IDs by ID, any ID that has a value of zero (regardless of display format) will be placed later than entries with non-zero values.

The above conventions are intended to place unused channels and talk group IDs at the ends of the lists.

Justify Alpha Tags… This item will justify alpha tags within each bank. When selected, it will bring up a dialog box from which you can select the types of tags to be centered (bank tags, channel tags, talk group ID tags), the type of justification (left, center, or right) and whether the operation is to take place in only the current bank or in all banks. Note: Alpha tags will not be centered on entry – you must select this item to center the various tags. Also, note that when justifying talk group ID tags, all tags will be affected, not just the ones in the currently-selected sub-bank.

Fill Frequencies… This item starts the Fill Frequencies function. It will display a window in which you enter:

· The starting channel number. Defaults to the channel that’s currently selected, or channel 00 if nothing is selected.

· The starting frequency. Defaults to the currently-selected channel’s frequency, or the frequency of channel 00 if nothing is selected.

· The step size. Defaults to 5 kHz.

· How far to fill. You can either enter a number of channels or an ending frequency. You must also select the “end mode” via the selections to the right of the channel count and end frequency fields. Defaults to “fill by channel count” and 1 channel.

· The receive mode to set for the filled channels. Defaults to the receive mode of the currently-selected channel, or of channel 00 if nothing is selected.

· The Delay, Attenuation, and Lockout settings for each filled channel. These default to “OFF”.

· Whether you want to insert before the starting channel or overwrite it and those that follow.


Search Menu

From the Search menu, you can select the following:

Find Alpha Tag…

Starts the “search for alpha tag” operation, which looks for a specified alpha tag across all channels in all banks (it does not check the “Virtual Scanner” folders). Also available by pressing CTRL+F.

Find Frequency…

Starts the “search for frequency” operation, which looks for a specified frequency across all channels in all banks (it does not check the “Virtual Scanner” folders). Also available by pressing CTRL+SHIFT+F.

Find Talk Group ID…

Starts the “search for talk group ID” operation, which looks for a specified talk group ID across all IDs, in all sub-banks, and in all banks (it does not check the “Virtual Scanner” folders). Also available by pressing CTRL+ALT+F.

Find Next

Repeats the last “Find” operation, starting after the last found item. Also available by pressing CTRL+G. This item is only available if you’ve already performed a Find operation, and the operation has not yet returned “No more matches found” message to you.

Find Duplicate Frequencies

Searches the current P96 file, through all channels in all banks, looking for frequencies that are entered in more than one place. If there are duplicate entries, a message will be displayed that shows them. For example:

Channel 012 (25.00000MHz) is duplicated at: 026, 313, 847

The duplicate search only looks at frequencies; it does not care if the duplicates are “locked out” or use different receive modes.


Scanner Menu

From the Scanner menu, you can select the following:

Download from Scanner This item starts a download operation, retrieving the scanner’s current settings into Win96. Also available by pressing CTRL+D.

Upload to Scanner This item starts an upload operation, sending the active Win96 file to the scanner. Also available by pressing CTRL+U.

Virtual Scanner This item starts the Virtual Scanner Management utility.

Show Upload History This item displays the history of uploads to the scanner. Each entry is described as either a Main Memory or V-Scanner folder update, with the upload time, line 4 of the Welcome Display, and the name of the P96 file uploaded. The data resides in the file Win96ProgrammingLog.txt, and can be read with any text editor. The data is updated when either a normal upload or a V-Scanner write operation completes successfully. NOTE: If you edit the log file (Win96ProgrammingLog.txt), the history window may not be able to accurately show the upload history. The program expects the file to be in a specific format, and in reverse chronological order (most recent uploads at the top).


Configuration Menu

From the Configuration menu, you can select the following:

Misc… This item displays the “miscellaneous preferences” dialog box. That box allows you to control the following options:

o        Tell Win96 to allow you to enter more than 12 characters in the various alpha tag fields. This has no effect on the fact that exactly 12 characters will be saved in the file and sent to the radio. It’s merely here so that you can type new text into a tag field that is already “full”. When the file is saved or the data sent to the radio, all alpha tags will be truncated (or padded with spaces) so that they are 12 characters long. Note: The “grids” (SAME codes, Channels, Talk Group IDs) will be adjusted to 12 characters as soon as the current alpha tag’s entry is complete. The other tags (priority channel, welcome display, etc.) will be adjusted when their respective edit boxes “lose focus” – this happens when you click on another data entry field, press TAB, go to another page, etc..

The 12-character requirement is a function of the radio. Its memory map has, for each alpha tag, 12 bytes of space. When the radio decides that it will display a tag, it reads exactly 12 bytes from its memory and displays them on the LCD.

o        Associate P96 files with the currently-running version of Win96. If you click this button, your Windows registry will be updated so that future double-clicks on P96 files (e.g. from Windows Explorer) will launch Win96 and open the file. This feature is added as an explicit button press because a) there’s no “installation” program for Win96 that would normally associate files and b) if you move Win96 to new folder, clicking this button will update the registry to point to the new Win96 location.

Serial Port… This item displays the serial configuration dialog box. This is where you set the COM port to be used by Win96, as well as any “special” serial settings that might be required for your configuration. These special settings are:

a. Extra Write Time. This is needed for some USB-to-Serial adapters (e.g. the iogear GUC232A).

b. Set RTS Line HIGH. Some home-built cables need this item enabled.

c. Enable “Readback” tests. When checked, this causes Win96 to expect that every character written to the scanner will also be read back from the serial port (this is due to the nature of the scanner’s PC/IF interface). If you are using a one-way cable, make sure that this item is not checked.

More information on the use of these options is available on the connecting the scanner page.

User Interface… This item displays the user interface configuration dialog box. In that box, you can select the height of the rows in the various data entry grids, tell Win96 to use a fixed-pitch (i.e. Courier) font in the Alpha Tag fields, and specify the size (pitch) of the data entry grid fonts (the size is specified in tenths of a point, so 100 represents 10-point text). If you enable the fixed-pitch font option, you can also check a box that will tell Win96 to use a custom PRO-96 font for alpha tags. You must explicitly install this font from the Win96 ZIP file (Win96 doesn’t do it for you) – see your operating system documentation for information on how to install new fonts. This is typically found in a “Fonts” folder in the Control Panel.

Warn on Duplicate Talkgroup IDs If you check this menu item, Win96 will display a warning message if you enter the same Talk Group ID in multiple “slots” in the same bank.


Help Menu

From the Help menu, you can select the following:

Using the program… This item displays this help text. It is also available by pressing the F1 key.

About the program… This item displays the program’s “About Box”, containing version and copyright information and a button that displays the license agreement.


The Data Entry Pages

Win96’s main window is divided into several sections for the various types of data you can enter. These pages (or “tabs”) are organized into functional sections. For example, the “Channels” page is where you enter frequencies, talk group IDs, etc. for the scanner’s 10 banks. (The “Settings” page is kind of a “catch-all” miscellaneous page for settings that are global to the scanner and/or don’t belong on any other page).

Click one of the following links for information about a specific data entry page:

Settings

Channels

SR0 Marine / SR1 CB

SR2 FRS/GMRS/MURS

SR3 Police/Fire

SR4 Aircraft

SR5 Ham

SR6 Limit Search


Selecting Grid Items

The “data grids” in Win96, used for things like Channel and Talk Group lists on the Channels page, etc. are intended to be similar to common spreadsheet programs in their use.

Here are some common operations within the grids:

· Selecting contiguous items: To select a range of items in a grid (e.g. channels 02 through 15 on the Channels page), click on the first item to be selected. Next, press and hold down the SHIFT key and click on the last item to be selected. The full range of items should now be highlighted, ready for some operation that takes a range of items (e.g. Copy a range of channels to the clipboard).

· Selecting non-contiguous items: To select multiple items that are not contiguous (e.g. channels 02, 07, and 15 on the Channels page), click on one of the items to be selected. Next, press and hold down the CTRL (control) key and click on the other items, one-by-one. The individual items should now be highlighted.

· Navigating within the grid: The grid cell item that has the “focus” (i.e. the item that will be altered if you start typing text) is indicated by a thin border within its cell:

In the example above, channel 02 is selected and the Frequency column has the cell highlight. If you were to start typing text, the frequency would be changed.

You can move around within the grid in several ways. You can use the mouse to click on a target “cell”, you can use the PC’s “arrow keys” to move up, down, left, and right, or you can use the TAB and SHIFT+TAB key combinations to move through all cells in sequence. When entering a large amount of data for the first time (e.g. channel tags, frequencies, etc.), you might find it most convenient to use the TAB key: click on the first Alpha Tag to be entered, type the tag’s text, press TAB, type the channel’s frequency, press TAB, etc. The TAB key will cause the cell highlight to move left-to-right, top-to-bottom through the entire data entry grid.

· Editing an item: There are many ways to start the editing process within a single grid cell item. The easiest is probably to just navigate to the item to be edited and begin typing. Another way is to double-click on a cell, which puts the grid cell into its “data entry” mode:

In this example, we’ve double-clicked on channel 02’s Frequency cell, placing the cell into data entry mode. This is indicated by the [ ] at either side of the cell, as well as the blinking cursor. In this mode, you may move the cursor left or right with the PC’s arrow keys, and edit individual characters.

For grid items that contain a one-of-many “list selection”, such as the RxMode (receive mode) column on the Channels page, double-clicking on the cell displays the list of available choices. You may then select the desired value. Or, you can just navigate to the cell and press the first letter of the desired value. For example, if you want to change a channel’s receive mode to MOT from the default of FM, you can just navigate to the cell, press ‘M’, then navigate away (i.e. with the TAB key).

For grid items that contain a check box, you can toggle the check box’s value by either clicking on the box with the mouse, or by pressing the space bar while the cell is highlighted. If you click on the column heading for such a column (e.g. the “Delay” column on the Channel’s page), then all items in the grid for that column will be changed – the first item in the list is toggled, then the remaining items are set to the same value as the first item.


The Settings and Weather Page

The Settings/Weather Page

The Settings/Weather page allows you to set many global features of the scanner. The PRO-96’s Weather functionality is also controlled on this page.

To view the Settings/Weather page, click the “Settings/Weather” tab:

The following describes the various features of the Settings/Weather page, divided into functional sections.

Priority Channel

This section controls the various aspects of the PRO-96’s Priority Channel function:

· Priority Channel ON: When this box is checked, the scanner will periodically tune to the priority channel frequency and check for activity.

The next six fields are similar to entering data for a channel in a bank:

· Alpha Tag: Here you may enter an Alpha Tag that will be displayed when the priority channel is active.

· Frequency: This field is where you enter the frequency to be used as the priority channel. Any value here will be overridden by a “Weather Channel” selection below, if any.

· Mode: You may set the receive mode for the channel. Available options are AM, FM, CT, and DC. If you select CT or DC, then you may set the CT or DC frequency/code in the next field.

· CT/DC: If you select CT or DC under Mode, you may set a specific CT or DC frequency/code here. If you enter a non-zero value in this field, the scanner will not stop on the priority channel unless the received transmission matches entered your CT/DC value. If you enter a zero value (0.0 for CT, or 000 for DC), the scanner will stop on all received transmissions and will display the received value (same as CT-Search mode for a regular channel).

· Delay: If checked, the scanner will remain on the priority channel frequency for a short period after a received transmission.

· Attenuation: If checked, the received RF signal will be attenuated (useful for too-strong signals).

· Use Weather Channel: If checked, the scanner will use one of the seven Weather channels as the priority channel. Checking this box and entering a Weather channel number in the next field overrides the Frequency and Mode values that you may have entered above.

· Weather Channel: If the above box is checked, the scanner will use the Weather channel you enter here as the priority channel.

Tune Mode

This section lets you control how the scanner manually tunes a frequency (see “Manually Tuning a Frequency” in the PRO-96 manual).

· Mode: Here you set the receive mode to be used in Tune Mode. If you leave this at the “Default” setting, the scanner chooses a receive mode appropriate for the current frequency band. You may also force the scanner to AM, FM, CT, or DC modes. If you choose one of the latter two (the CTCSS modes), the scanner will display the received CT frequency or DC code when it stops on a received transmission.

· Delay: If checked, the scanner will remain on a tuned frequency for a short period after received transmission. Otherwise, the scanner will begin searching again when the transmission ends.

· Attenuation: If checked, the received RF signal will be attenuated (useful for too-strong signals).

· Scan Down: If checked, the scanner will search in order of decreasing frequency. Otherwise, the scanner searches in order of increasing frequency.

· Trunk ID Display: You can set the Trunk ID (talk group ID) display to be either Text (an Alpha Tag that you’ve entered) or Code (the numeric ID value). Note that this only makes a difference for Talk Group IDs that you’ve actually entered on the Channels page – IDs that you have not entered are always displayed in “Code” form.

· ID Sub-bank On/Off Mode: When checked, the scanner displays “T IDbk 01234” on the third line of the display when a trunked transmission is received. The 01234 portion of this display will vary based on which Talk Group Sub-Banks you have enabled. For any bank that is not enabled, a period (.) will be displayed instead of the sub-bank number.

If this item is not checked, then the scanner displays the control channel’s Alpha Tag on the third line of the display when a trunked transmission is received.

· Seek Mode ON in Search Mode: When checked, the scanner will pause on active frequencies in Search mode, then will resume searching even if the transmission is not complete. This affects the scanner’s “SRn” search ranges (e.g. Police/Fire, Ham, etc.).

If this item is not checked, will pause on active frequencies until the transmission is complete, then will resume searching.

· Enabled Scan Banks: Each of the scanner’s 10 banks may be individually enabled and disabled here. Any banks that are checked will be scanned when you hit the scanner’s “SCAN” button. Banks that are not checked will be skipped.

Backlight

This section lets you control various aspects of the PRO-96 and PRO-2096 backlight:

· PRO-96 Selecting this option enables the PRO-96 controls:

o        Backlight On: You can enter the duration of the backlight; that is, how long the backlight stays on after it is initially lit. The value you enter here is in “centiseconds” (i.e. 1/100th of a second). For example, a value of 500 will cause the backlight to stay on for 5.00 seconds. This number must be a multiple of 4.

o        Backlight on first key: If checked, the backlight will turn on every time you press a key on the PRO-96 keypad.

o        (and first key ignored) This feature works along with the Backlight on first key feature. If that other feature is enabled, then this check box does this: if this box is checked, then the first key pressed merely turns on the backlight; if this box is not checked, then the first key pressed turns on the backlight and performs its “normal” function.

· PRO-2096 Selecting this option enables the PRO-2096 controls:

o        OFF: The backlight is OFF

o        DIM: The backlight is DIM

o        BRIGHT: The backlight is BRIGHT

Note that the PRO-96 and PRO-2096 features are not mutually exclusive. While you can only edit one at a time, the items you select above will all be used. That is, you can set a backlight duration for the PRO-96 and set the backlight to “BRIGHT” for the PRO-2096 in the same file.

Also, files created with older versions of Win96 (before PRO-2096 support was added) may seem to have PRO-2096 settings in them. This is because the 2096 uses some bits that were previously allocated to the 96’s backlight duration. If you load such a file into this (or newer) version of Win96, the 96 duration will be adjusted to a multiple of 4, and an option under the 2096’s settings might be selected. Merely set the 2096 value (if any) you desire, and save the file.

· Display Contrast: You may enter a value for the scanner’s LCD contrast here. Allowable values are from –3 (lightest) to 3 (darkest). The scanner’s default is 0 (zero).

· Battery Level: You can change the scanner’s default voltage levels for its “battery low” warning. The “LO” value sets the point at which the scanner starts displaying the warning (default: 3.94VDC). The “HI” value sets the point at which the scanner dismisses an existing warning (default: 4.63VDC). (The “HI” value is used for hysteresis, as the battery level will rise and fall with scanner activity).

· Welcome Display: You can change the 4 lines of text displayed by the scanner when it first powers on. Each line may be up to 12 characters in length. Note that this text is also used to identify the “Virtual Scanner” folders.

· DSP AGC ON: When checked, the DSP’s Automatic Gain Control feature is turned on. This helps normalize audio levels for digital systems. This feature is turned ON by default in the scanner, and is enabled when you create a new template within Win96.

· Scan Down: This controls the direction in which the scanner moves through channels when scanning. If checked, the radio scans in order of decreasing channel number; otherwise, the radio scans in order of increasing channel number.

· Keypad Tone ON: When checked, the scanner will “beep” on every key press; otherwise, the scanner is silent.

· Attenuation Mode: Here you can select between “Normal” and “Global” attenuation. If you select Normal, then each channel’s attenuation setting is in effect. If you select “Global”, then the next field controls attenuation for every channel (the channels’ attenuation settings are ignored).

· Global Attenuation ON: When checked, “Global” attenuation is turned on; otherwise, it is turned off. This setting only has an effect if the “Attenuation Mode” above is set to “Global”.

Weather

This section lets you control various aspects of the PRO-96’s Weather functions:

· Attenuation: You can individually turn on or off each weather channel’s attenuation.

· NWR SAME Codes: This grid lets you enter up to 10 weather SAME codes to watch for and/or lock out. For each, you can enter an Alpha Tag, 6-digit alphanumeric code, and lockout setting. (Note that while you can enter any valid SAME code here, the PRO-96 only recognizes numeric codes).

· Extended Frequencies: This item enables what seems to be some sort of hidden test mode in the PRO-96. When checked, the scanner will accept any frequency (except cellular). You can even enter the frequencies from the scanner’s keypad, and use them in searches (i.e. SR6 – Limit Search).


The Channels Page

The Channels page is where most of the “useful” scanner information is entered. Here you control the 10 banks’ channels, talk group IDs, trunking tables, trunking modes, etc..

To view the Channels page, click the “Channels” tab:

This page’s features can be divided into 5 functional areas:

1. General bank information (Alpha Tag, Open/Closed, Trunking Mode),

2. The current bank’s fleet map (if a Motorola Type-I system).

3. The current bank’s trunking tables information,

4. The channels list for the current bank, and

5. The talk group ID list for the current bank.

The items above are listed in the recommended order of data entry. This is especially important when programming trunked systems, as the entry format for talk group IDs depends on the Trunking Mode and Fleet Map.

All of the information on this page is per bank. The bank number to be edited or displayed is selected by clicking the up/down arrows next to the “Bank” item at the top left of the page.

General Bank Information:

· Tag: Here you enter the bank’s 12-character alpha tag. This text will be displayed when the scanner receives a conventional (non-trunked) transmission in this bank. INFO: For Motorola systems, this tag will not be displayed when receiving a trunked transmission in this bank.

· Closed: When this box is checked, the scanner will only receive trunked transmissions for talk group IDs that are:

a. entered into one of the slots in the Talk Group IDs section,

b. in a Talk Group sub-bank that is enabled, and

c. is not “locked out”

If this item is not checked, then the scanner will receive all talk group IDs that are not locked out.

· Type: This field controls the “trunking mode” for the bank. Your choices are Conv (not trunked), MOT (a Motorola Type I, II, or I/II system), or EDACS.

IMPORTANT: When programming a trunked system, set this field to the appropriate mode before entering talk group IDs.

Fleet Map:

When programming a Motorola Type-I or mixed Type-I/II system, you’ll need to enter the system’s fleet map. This data tells the scanner how to interpret and display talk group ID values. You enter this data in the section labeled Fleet Map.

You have two options when entering the fleet map:

a. Select a “predefined” map from the Presets list. This is useful if the system uses one of the maps of the form E1P7. If the system doesn’t use one of these common maps, or if you don’t know what preset to use, you can enter the fleet map explicitly as described in the next option.

b. Enter the fleet map explicitly. There are 8 “blocks”, and each block has a “size code” from S00 to S14. Starting with Block 0 and working up to Block 7, select the appropriate size code from the drop-down list. Note that some of the size codes (e.g. S12, S13, and S14) use more than one block. S12 occupies 2 blocks, so if you set one block to S12, one other block will be set to S12 as well.

Note: When programming a Motorola Type-II system, make sure all blocks are set to size code S00.

IMPORTANT: When programming a trunked system (especially a Motorola system), program the fleet map before entering talk group IDs.

Trunking Tables:

Motorola trunking systems use these tables to map “channel numbers” to voice frequencies. When the scanner receives, on the system’s control channel, information about a transmission for a talk group that it “wants” to hear, it uses the channel number sent over the control channel to calculate the appropriate voice frequency. It then tunes to that voice frequency and lets you hear the audio.

Most Motorola systems can be monitored using the radio’s default settings. However, some systems (especially UHF systems) require that you set specific “trunking table” information so that the scanner can calculate the correct voice frequencies.

The Win96 Channels page sections that let you control these calculations are:

· MOT 3600 CC Lets you choose from Normal, Splinter, Custom, or Multi for 3600 bps control channel systems. If you select Custom, the MOT Custom Trunking Table fields will be enabled; if you select Multi, the Extended Tables button will be enabled.

· MOT 9600 CC Lets you choose from Normal, Custom, or Multi for 9600 bps control channel systems. If you select Custom, the MOT Custom Trunking Table fields will be enabled; if you select Multi, the Extended Tables button will be enabled.

· MOT Custom Trunking Table Allows you to enter one Base/Offset/Step triplet. This is used if you select “Custom” in either of the above two sections.

· Extended Tables Allows you to override the “default” trunking table settings for 3600 and 9600 bps control channel systems.

See the Extended Tables page for more information about trunking tables, the defaults used by the radio, and why you might want or need to use these options.

Channels List:

This list is where you enter all of the frequencies for the system or area you want to scan. See this page for more information about selecting and editing cells in one of these grids.

· Tag: Here you enter the channel’s 12-character alpha tag. This text will be displayed on the 3rd line of the scanner’s LCD when a transmission is received on this channel’s frequency (or, for a Motorola trunked system where this channel is the control channel, when a trunked transmission is received on the system).

· Frequency: Enter the channel’s frequency, in megahertz. Each “range” of frequencies in the PRO-96 has a valid step size (see the Limit Search page for information on ranges/steps). If you enter a frequency that is not on a valid step, or is otherwise “out of range”, Win96 will automatically adjust the value to the nearest valid frequency.

· Rx Mode: Select the desired receive mode for the channel. Your choices are:

· AM

· FM

· MOT (use this for frequencies that are part of a Motorola trunked system)

· EDACS (use this for frequencies that are part of an Ericsson/GE EDACS trunked system)

· CT (see the CT/DC item below)

· DC (see the CT/DC item below)

· CT/DC: If you select CT or DC for the RxMode above, you can enter a CT frequency or DC code for the channel. If you enter such a code, the scanner will only stop on transmissions that match the value entered. If you leave the code at the default of 0.0 or 000, the scanner will stop on all transmissions but will display the CT frequency or DC code as received.

If you enter an invalid CT frequency or DC code, Win96 will adjust your entry to a valid setting.

· Delay: If a channel’s Delay box is checked, the scanner will wait briefly at the end of a received transmission on that channel before continuing the scanning process. Note: this has no effect on channels that are part of trunked systems; it is for conventional frequencies only.

· Atten: When checked, the scanner will attenuate the received RF signal on this channel.

· LOut: When checked, this channel is “Locked out”, and will not be scanned.

Talk Group ID List:

This list is where you enter all of the Talk Group IDs for the trunking system that you want to scan. See this page for more information about selecting and editing cells in one of these grids.

· Tag: Here you enter the talk group ID’s 12-character alpha tag. This text will be displayed on the 4th line of the scanner’s LCD when a transmission is received for this talk group. Note: If you have selected “Code” under “Trunk ID Display” on the Settings page, then this text tag will not be displayed; instead, the scanner will display the numeric code for this talk group ID.

· ID: This field holds the numeric talk group ID. The entry and display formats of this code will vary based on:

a. The bank’s trunking mode (MOT vs. EDACS),

b. The selected talk group display format (DEC, HEX, or AFS), and

c. The fleet map (if this is a Motorola Type-I or mixed Type-I/II system).

When entering talk group IDs, you must ensure that the format you enter is appropriate based on the above three variables. If you enter an ID that is malformed or otherwise “invalid”, Win96 will let you know. The message displayed by Win96 won’t quite tell you what you need to enter; it will just tell you that the data you entered was bad and will show the expected format and/or range of values.

· LOut: When checked, this talk group ID is “Locked Out”. No transmissions for this talk group will be received, even if the scanner is in its “Open” mode.

To the left of the talk group ID list are three other configuration items:

· A column of “radio buttons” (a one-of-many selection) that allows you to choose which of the 5 talk group ID sub-banks is currently displayed in the list.

· A column of check boxes that allows you to individually “turn on” any or all of the 5 talk group ID sub-banks. This is analogous to turning on the sub-banks from the scanner’s keypad from the “T IDbk 01234” (ID sub-bank mode) display.

· Three buttons that allow you to choose the data entry/display format. Your choices are DEC (decimal), HEX (hexadecimal), and AFS (Agency-Fleet-Subfleet). IMPORTANT: If you’re pasting external talk group ID information into Win96, you must set this display/entry format before pasting the data. Win96 uses this setting to interpret entered and pasted values.

ID Delay This setting controls how long the scanner watches the trunked system’s control channel, after a transmission has ended, for a new transmission on the same talk group. The value is entered in milliseconds (i.e. a value of 2000 means 2 seconds).


The Marine/CB Page

The Marine/CB page allows you to enter lockouts, set delay, and otherwise control the operation of the scanner while searching through the Marine and CB channels (the PRO-99’s “SR0” and “SR1” search ranges).

To view the Marine/CB page, click the “SR0 Marine / SR1 CB” tab:

Win96 allows you to control the same settings for both ranges. Some settings are global to each range, while others are channel-specific:

· Search On: When this box is checked, the scanner will begin searching through the range as soon as the range is selected. If this box is left cleared, the scanner will not search, remaining on a single channel within the range (as if it were in a “manual” mode).

· Scan Down: When this box is checked, the scanner searches through the range’s channels in descending order (high channel numbers to low channel numbers, wrapping from channel 01 back to the highest channel). If this box is left cleared, the scanner searches in ascending order.

· Delay: If a channel’s Delay box is checked, the scanner will wait briefly at the end of a received transmission on that channel while searching.

· Attenuation: If a channel’s Atten box is checked, the scanner will attenuate the incoming signal for that channel. This applies whether the scanner is searching through the channels or not.

· Lockout: If a channel’s LOut box is checked, the scanner will not stop on that channel while searching.


The FRS/GMRS/MURS Page

The FRS/GMRS/MURS page allows you to enter lockouts, set delay and attenuation, and otherwise control the operation of the scanner while searching through the FRS, GMRS, and MURS channels (the PRO-96’s “SR2” search range).

To view the FRS/GMRS/MURS page, click the “SR2 FRS/GMRS/MURS” tab:

Some of the range’s settings are global to all channels, while others are channel-specific:

· Search On: When this box is checked, the scanner will begin searching through the range as soon as the range is selected. If this box is left cleared, the scanner will not search, remaining on a single channel within the range (as if it were in a “manual” mode).

· Scan Down: When this box is checked, the scanner searches through the range’s channels in descending order (high channel numbers to low channel numbers, wrapping from channel 01 back to channel 27). If this box is left cleared, the scanner searches in ascending order.

· RxMode: You can set the receive mode for all channels. The default is “Default”. You can also select AM, FM, CT or DC (CTCSS modes). While you can select these two CTCSS modes, you cannot specify CT or DC codes.

· Delay: If a channel’s Delay box is checked, the scanner will wait briefly at the end of a received transmission on that channel while searching.

· Attenuation: If a channel’s Atten box is checked, the scanner will attenuate the incoming signal for that channel. This applies whether the scanner is searching through the channels or not.

· Lockout: If a channel’s LOut box is checked, the scanner will not stop on that channel while searching.


The Police/Fire Page

The Police/Fire page allows you to enter lockouts, set delay and attenuation, and otherwise control the operation of the scanner while searching through the various Police and Fire bands (the PRO-96’s “SR3” search range).

To view the Police/Fire page, click the “SR3 Police/Fire” tab:

You can enter up to 50 frequencies in the “Lockouts” list. To enter a new lockout frequency, click on the data-entry cell in the Frequency column for the lowest numbered blank row. For example, if there are currently 10 lockout frequencies entered, they will occupy rows 00 through 09. You must enter the next lockout in row 10. Type the new frequency, according to the frequency range and step size information listed under the “Group Information” block at the right-hand side of the Police/Fire page. Press the PC’s ENTER (or RETURN) key to save the lockout frequency. If you enter a frequency that is not within the search range’s band, or is not on a valid step for the range, then it will be automatically adjusted to the nearest valid frequency.

To delete one or more lockout frequencies from the list, select them in the Lockouts grid then click the Delete button. All remaining items will be moved so that they start at #00 and use sequential item numbers (i.e. so there are no blank spaces in the list between lockout frequencies).

The Police/Fire search range is divided into four distinct frequency ranges, or “groups”. The frequency ranges and step sizes for each group are listed under “Group Information” at the right-hand side of the Police/Fire page.

In the center of the Police/Fire page, you can turn each group on or off (so that it is searched or not), and you can set each group’s attenuation flag. Checking or clearing the appropriate boxes for each group controls these options.

You can set the Delay, Zeromatic, and Scan Direction for the entire Police/Fire search range by checking or clearing the appropriate check boxes.

You can also set the Receive Mode for the entire Police/Fire range. The default is “Default”. You can also select AM, FM, CT or DC (CTCSS modes). While you can select these two CTCSS modes, you cannot specify CT or DC codes.


The Aircraft Page

The Aircraft page allows you to enter lockouts, set delay and attenuation, and otherwise control the operation of the scanner while searching through the 108.0000 – 136.9875 MHz Aircraft band (the PRO-96’s “SR4” search range).

To view the Aircraft page, click the “SR4 Aircraft” tab:

You can enter up to 50 frequencies in the “Lockouts” list. To enter a new lockout frequency, click on the data-entry cell in the Frequency column for the lowest numbered blank row. For example, if there are currently 10 lockout frequencies entered, they will occupy rows 00 through 09. You must enter the next lockout in row 10. Type the new frequency, according to the frequency range and step size information listed under the “Group Information” block at the right-hand side of the Aircraft page. Press the PC’s ENTER (or RETURN) key to save the lockout frequency. If you enter a frequency that is not within the search range’s band, or is not on a valid step for the range, then it will be automatically adjusted to the nearest valid frequency.

To delete one or more lockout frequencies from the list, select them in the Lockouts grid then click the Delete button. All remaining items will be moved so that they start at #00 and use sequential item numbers (i.e. so there are no blank spaces in the list between lockout frequencies).

You can set the Delay, Attenuation, Zeromatic, and Scan Direction for the entire Aircraft search range by checking or clearing the appropriate check boxes.


The Ham Page

The Ham page allows you to enter lockouts, set delay and attenuation, and otherwise control the operation of the scanner while searching through the various Amateur Radio bands (the PRO-96’s “SR5” search range).

To view the Ham page, click the “SR5 Ham” tab:

You can enter up to 50 frequencies in the “Lockouts” list. To enter a new lockout frequency, click on the data-entry cell in the Frequency column for the lowest numbered blank row. For example, if there are currently 10 lockout frequencies entered, they will occupy rows 00 through 09. You must enter the next lockout in row 10. Type the new frequency, according to the frequency range and step size information listed under the “Group Information” block at the right-hand side of the Ham page. Press the PC’s ENTER (or RETURN) key to save the lockout frequency. If you enter a frequency that is not within the search range’s band, or is not on a valid step for the range, then it will be automatically adjusted to the nearest valid frequency.

To delete one or more lockout frequencies from the list, select them in the Lockouts grid then click the Delete button. All remaining items will be moved so that they start at #00 and use sequential item numbers (i.e. so there are no blank spaces in the list between lockout frequencies).

The Ham search range is divided into six distinct frequency ranges, or “groups”. The frequency ranges and step sizes for each group are listed under “Group Information” at the right-hand side of the Ham page.

In the center of the Ham page, you can turn each group on or off (so that it is searched or not), and you can set each group’s attenuation flag. Checking or clearing the appropriate boxes for each group controls these options.

You can set the Delay, Zeromatic, and Scan Direction for the entire Ham search range by checking or clearing the appropriate check boxes.

You can also set the Receive Mode for the entire Ham range. The default is “Default”. You can also select AM, FM, CT or DC (CTCSS modes). While you can select these two CTCSS modes, you cannot specify CT or DC codes.


The Limit Search Page

The Limit Search page allows you to enter lockouts, set delay and attenuation, and otherwise control the operation of the scanner while searching through the entire frequency range of the PRO-96, or any subset of that range that you specify (the PRO-96’s “SR6” search range).

To view the Limit Search page, click the “SR6 Limit Search” tab:

Specify the low and high frequencies for your search by entering them in the “Low Frequency” and “High Frequency” boxes provided. If you enter a frequency that is not on a valid step (see the list at the right-side of the page), it will be adjusted to the nearest valid frequency.

Set the Receive Mode for the entire Limit Search range. You can use the scanner’s “Default” setting, our you can explicitly set AM, FM, CT, or DC modes. While you can select these two CTCSS modes, you cannot specify CT or DC codes.

If desired, you can change the SR6 Alpha Tag. This is the text that’s displayed when you’re searching through SR6 on the scanner.

You can enter up to 50 frequencies in the “Lockouts” list. To enter a new lockout frequency, click on the data-entry cell in the Frequency column for the lowest numbered blank row. For example, if there are currently 10 lockout frequencies entered, they will occupy rows 00 through 09. You must enter the next lockout in row 10. Type the new frequency, according to the frequency range and step size information listed under the “Group Information” block at the right-hand side of the Limit Search page. Press the PC’s ENTER (or RETURN) key to save the lockout frequency. If you enter a frequency that is not within the scanner’s frequency range, or is not on a valid step for the range, then it will be automatically adjusted to the nearest valid frequency.

To delete one or more lockout frequencies from the list, select them in the Lockouts grid then click the Delete button. All remaining items will be moved so that they start at #00 and use sequential item numbers (i.e. so there are no blank spaces in the list between lockout frequencies).

You can set the Delay, Attenuation, Zeromatic, and Scan Direction for the entire Limit Search range by checking or clearing the appropriate check boxes.


Copy and Paste

Win96 will allow you to copy and paste channel and talk group data, as well as lockout frequencies in Search Ranges 3 through 6, for easier transfers between banks, P96 files, or even external data sources (text editors, spreadsheets, web sites, etc.).

Win96 uses the Windows “clipboard” to move data. The clipboard can be considered a temporary buffer within Windows that is used for copy/paste operations. Since Win96 uses the clipboard, it is compatible with many other Windows applications (subject to some data format restrictions discussed below).

Copy/Paste within Win96

To copy channel or talk group information from one location to another (i.e. between banks or P96 files), follow these steps:

1. On the Channels page, use the bank select to view the bank that contains the data you want to copy from.

2. Select the channels or talk groups that you want to copy.

3. From the Edit menu, select Copy (or press CTRL+C).

4. Use the bank select to view the bank you want copy the data to.

5. Click on the first channel or talk group that will receive the data. This channel or talk group, and any that follow it up to the number of items you selected in step (2), will be overwritten with the copied data.

6. From the Edit menu, select Paste (or press CTRL+V).

7. The channels or talk groups that you selected in step (2) will appear in the current bank.

Copy/Paste External Data

You can copy data from external sources into Win96, or copy Win96’s data to some other program.

Copying data to an external program

1. Select and copy the data as in steps 1-3 above, as if you were doing a copy/paste operation within Win96. The data is now on the clipboard in two formats: the raw format native to Win96, and a text format that can be used by other applications.

2. If it’s not already running, start the program into which you want to paste the data (e.g. Notepad, Excel, or some other text editor or spreadsheet software).

3. In that external program, move the cursor to the point at which you want to paste / insert the copied data.

4. Follow the other program’s instructions for pasting data (usually, you will select Paste from the program’s Edit menu or press CTRL+V).

5. The data should now appear in the other program.

Pasting data from an external program

1. In the external program, select the range of data that you want to copy into Win96.

2. Follow the other program’s instructions for copying data to the clipboard (usually, you will select Copy from the program’s Edit menu or press CTRL+C). The data should now be on the clipboard in a text format (see below for the required data formats for channel and talk group information).

3. If it’s not already running, start Win96.

4. Follow steps 4-7 under Copy/Paste within Win96 above to paste the data into Win96.

Text Format for External Copy and Paste Operations

Win96 requires that data copied from external programs be in a specific format, so that Win96 can “understand” what the data represents.

Win96 expects the data to be in a row/column arrangement. Rows are separated by “newline” characters (either a carriage return by itself or a carriage return / line feed pair). This newline representation is consistent with plain text editors and certain spreadsheets (e.g. Excel). Columns are separated by “TAB” characters. You can generate this character in a text editor (like Notepad) by pressing the TAB key. When you use Excel’s Copy function to put a range of cells on the clipboard, Excel separates columns with the TAB character.

Perhaps the easiest way to describe this format is to show how Win96 generates the text format to send to external apps:

Text Format for Channel Data

This is how two rows (channels) of frequency data would look if copied to the clipboard within Win96:

SantaClaraC9    867.07500    MOT   0.0 D

CHP Base         42.50000     CT 131.8 D A L

At the end of each “row” is a Carriage Return / Line Feed pair (not visible here).

Between the “columns” are single TAB characters (they’re space characters in this help text, so that the columns will line up).

The columns, left-to-right, are:

Alpha Tag Up to 12 characters of alphanumeric text. The first row’s tag contains 12 characters of visible text. The second row happens to have 4 extra blank spaces after the word “Base”.

Frequency A valid PRO-96 frequency. The decimal point is required. After the decimal point, there must be either 3, 4, 5, or 6 digits.

RxMode A valid receive mode for the PRO-96. This must be one of: AM, FM, MOT, EDACS, CT, or DC. The example above “pads” the mode text on the left with blank spaces. “CT” in the second row actually has 3 blank spaces before it (but after the TAB that separates the RxMode column from the Frequency column).

CT/DC A valid CT tone frequency or DC code. The CT tone frequency must have a decimal point and exactly one digit after the decimal. A DC code must be exactly 3 octal digits (each value is between 0 and 7).

Delay ‘D’ if delay is on for this channel, a blank space if not.

Attenuation ‘A’ if attenuation is on for this channel, a blank space if not.

Lockout ‘L’ if this channel is locked out, a blank space if not.

Note: while Win96 does put the Delay, Attenuation, and Lockout flags into the text data that it copies to the clipboard, it does not use this information when you paste text data into Win96. External data need not have these columns.

For a column to be considered “valid”, all rows must have good data in that column. For example, if the second row above had “ABC” instead of “CT”, then Win96 would ignore the entire receive mode column (if the Alpha Tag column didn’t exist, then this erroneous receive mode column would be considered the Alpha Tag column, since “MOT” and “ABC” are valid alpha tags).

Text Format for Search Range Lockouts

The format for lockout frequencies is identical to that for Channel Data, where only the “Frequency” column is used. Only that column need be present. Any other columns of data that happen to exist will be ignored.

Text Format for Talk Group Data

This is how two rows of talk group data would look if copied to the clipboard within Win96:

Police Disp     00016 L

Police Incid    00048

At the end of each “row” is a Carriage Return / Line Feed pair (not visible here).

Between the “columns” are single TAB characters (they’re space characters in this help text, so that the columns will line up).

The columns, left-to-right, are:

Alpha Tag Up to 12 characters of alphanumeric text. The first row’s tag contains 11 characters of visible text with a space character after “Disp”. The second row happens to have exactly 12 characters of visible text.

ID A valid talk group ID. IMPORTANT: The format of this data depends on two things: the bank’s trunking mode and the current talk group ID display format (DEC, HEX, or AFS). Before pasting external data into Win96, you must set the trunking mode and display format to match the data you’re pasting. The example above contains Motorola Type-II talk group IDs, displayed in decimal format. To successfully paste this data, you must first set the bank’s trunking mode to MOT and the talk group display format to DEC.

Lockout ‘L’ if this talk group is locked out, a blank space if not.

Note: while Win96 does put the Lockout flag into the text data that it copies to the clipboard, it does not use this information when you paste text data into Win96. External data need not have this column.

For a column to be considered “valid”, all rows must have good data in that column. For example, if the second row above had “01-123” instead of “00048”, then Win96 would ignore the entire receive ID column (if the Alpha Tag column didn’t exist, then this erroneous ID column would be considered the Alpha Tag column, since “00016” and “01-123” are valid alpha tags).

Header Row

For each of the text Paste operations described above, you can supply a “Header Row” that Win96 will use to interpret the data that follows. This will alleviate some of the restrictions on the format of the data (particularly frequencies).

For example, if the data you copy to the clipboard looks like:

#

Alpha Tag

Frequency

Rx Mode

CT/DC

8

SantaClaraC9

867.07500

MOT

9

SantaClaraCA

867.33750

MOT

10

SantaClaraCB

868.98750

MOT

11

Cupertino PD

155.70000

FM

12

CHP Base

42.50000

CT

131.8

13

CHP Cars

42.28000

CT

131.8

then Win96 will correctly interpret the data. This is an improvement over the auto-detect mechanism, as that method requires that each cell have valid data for the data type. One “bad cell” can mess up an entire column and, possibly, the entire paste operation. With a header row, “bad cells” will simply be ignored (or adjusted to “valid” data).

Note: The “#” column is ignored. Paste operations always start at the first selected Win96 row and continue sequentially.

The text in the header row must match the text in the column headers for the grid. In the example above, the text exactly matches the column headers for the “Channels” grid.

Similar header rows can be used when pasting Talk Group and Search Range Lockout data.


File Import and Export

You can import and export two types of files with Win96: CSV (comma-delimited text) and XML (Extended Markup Languate). Note: XML import/export is not yet complete – Win96 will export a valid XML file, but currently has no provisions for importing such a file.

CSV Export

1. From the File menu, select Export…. You’ll be presented with a “Save As” dialog box in which you can:

· navigate to the folder to which you want to save the CSV file,

· select the type of file to export (select “CSV Files” here), and

· enter the name of the output file (enter a name in the form Filename.CSV).

After completing the above, click the Save button.

2. Win96 will display a box in which you can select the banks and data types to save. You can:

· check individual boxes,

· click a “Bank n” button to save all data for that bank,

· click one of the three buttons along the top of the grid to save that data type for all banks, or

· click the “Select All” or “Select None” boxes to check/uncheck all of the grid boxes.

Note: If you’re saving data for a trunked bank, you should check the “trunking info” box for that bank. This will ensure that the file contains the bank’s trunking mode, fleet map, and talk group display format.

After selecting which data you want to save, click the OK button.

CSV Import

When you import a CSV file, Win96 uses that file’s data to replace data in the current P96 file. This is useful if you’re “building” a P96 file from several external CSV files. If you don’t want to overwrite the current P96 file’s data, first select New template from the File menu.

1. From the File menu, select Import…. You’ll be presented with an “Open” dialog box in which you can:

· navigate to the folder that contains the CSV file you want to import,

· select the type of file to import (select “CSV Files” here), and

· enter the name of the input file (enter a name in the form Filename.CSV, or just select a CSV file from the file/folder list).

The file’s “extension” must be .CSV.

After completing the above, click the Open button.

2. Win96 will parse the data in the selected CSV file, and will replace the current P96’s data with that found in the CSV. Only those banks, channels, and talk groups that are actually in the CSV file will be overwritten – all other existing data in the P96 file will remain intact.

CSV Data Sets

You can create a text file (extension .txt) that contains the names of up to 10 CSV files. Each of the CSV files should contain one bank of data. If you import this text file, Win96 will create a new “template” (as if you’d selected New from the File menu), then will read each of the CSV files it finds in the text file into its own bank.

When reading the text file, Win96 ignores any lines that begin with a hash mark (#) or that are empty. To skip a bank (that is, don’t read any CSV file into that bank), put the text <empty> on its own line for that bank.

For example, suppose a text file contained the following:

# A sample CSV Data Set file

#

# Bank 0, Santa Clara's MOT system

c:\program files\winxx\Santa Clara, CA - MOT.csv

# Bank 1 is empty (not read)

<empty>

# Bank 2 - Moffet Field

c:\program files\winxx\Moffet Field.csv

# Bank 3 is empty (not read)

<empty>

# Bank 4 - San Francisco

c:\program files\winxx\San Francisco.csv

# No more valid CSV filenames in this file, so remaining banks are left blank

If you imported this text file, Win96 would read Santa Clara, CA – MOT.csv into Bank 0, Moffet Field.csv into Bank 2, and San Francisco.csv into Bank 4. The remaining banks would be “blank” – banks 1 and 3 because they have explicit <empty> text, and banks 5 through 9 because there are no lines in the file for them.

CSV File Format

This section describes the data format that Win96 creates on export and requires on import. Failure to adhere to these requirements will result in the “ignoring” of your external data (at best) or the corruption of your P96 file’s data (at worst).

The CSV file contains three types of records: Bank Trunking Information, Channel Data, and Talk Group Data. When exporting, Win96 will always order the records first by bank, then by record type (in the order listed above). When importing, you should ensure that the Trunking Information for a bank comes before the bank’s talk group data. This is so Win96 “knows” how to interpret the talk group IDs.

Trunking Information

This record has the form:

BankNumber,TrunkingMode,F0,F1,F2,F3,F4,F5,F6,F7,TGDispMode

where:

BankNumber is a number 0-9 indicating the bank this record is for.

TrunkingMode is a text string indicating the bank’s “type”. Must be one of: CONV, MOT, or EDACS.

F0 - F7 define the fleet map. These are given as size codes, from 0 through 14, and are used only for Motorola Type-I systems.

TGDispMode     tells Win96 the format of any talk group IDs that might be present in the CSV file. Must be one of: DEC, HEX, or AFS.

The BankNumber and TrunkingMode fields are required. All remaining fields are optional. However, if you use the TGDispMode field, you must have all of the fleet map fields. So this record is valid:

0,MOT

but this one is not:

0,MOT,DEC

For example, a Motorola Type-II system in bank 1, where talk group IDs are displayed in Decimal would have this record:

1,MOT,0,0,0,0,0,0,0,0,DEC

A Motorola Type-I system in bank 3, with fleet map preset E1P14, where talk group IDs are displayed in Agency-Fleet-Subfleet format would have this record:

3,MOT,4,3,10,4,4,4,12,12,AFS

(note that the AFS display mode is not important to Win96 here, as Type-I IDs have a fixed display format).

Channel Data

This record has the form:

BankNumber,ChannelNumber,AlphaTag,Frequency,ReceiveMode,CT/DC

where:

BankNumber is a number 0-9 indicating the bank this record is for.

ChannelNumber is a number 0-49 indicating which channel this record is for.

AlphaTag is a text string to use as the alpha tag for this channel. Strings longer than 12 characters will be truncated. If the tag contains commas or leading or trailing spaces, then the string must be enclosed in double quotes ("). If the string actually contains a double quote character, then the entire string must be enclosed in double quotes, and the embedded double quote must be preceded by a second double quote. For example, the alpha tag My " Tag must appear as "My "" Tag".

Frequency is a valid PRO-96 frequency for this channel. Invalid data (out-of-range, off-step) will be adjusted to the nearest valid frequency.

ReceiveMode is a text string indicating the channel’s receive mode. Must be one of: AM, FM, MOT, EDACS, CT, or DC.

CT/DC is a valid CT tone frequency or DC code.

The BankNumber, ChannelNumber, AlphaTag, and Frequency fields are required. The ReceiveMode and CT/DC fields are optional. However, if you use the CT/DC field, you must also have the ReceiveMode field. So this record is valid:

0,2,MyTag,42.28000

but this one is not:

0,2,MyTag,42.28000,131.8

For example, bank 0, channel 2, 42.28MHz, CHP Cars, CT, tone frequency 131.8 would look like:

0,2,"CHP Cars    ",42.28000,CT,131.8

A Motorola control channel frequency in bank 3, channel 27 might look like:

3,27,SantaClaraC2,868.62500,MOT,0.0

Talk Group Data

This record has the form:

BankNumber,SubBankNumber,IDNumber,AlphaTag,ID

where:

BankNumber is a number 0-9 indicating the bank this record is for.

SubBankNumber is a number 0-4 indicating the talk group sub-bank this record is for.

IDNumber is a number 0-29 indicating which talk group ID this record is for.

AlphaTag is a text string to use as the alpha tag for this talk group. Strings longer than 12 characters will be truncated. If the tag contains commas or leading or trailing spaces, then the string must be enclosed in double quotes ("). If the string actually contains a double quote character, then the entire string must be enclosed in double quotes, and the embedded double quote must be preceded by a second double quote. For example, the alpha tag My " Tag must appear as "My "" Tag".

ID is a valid talk group for the current bank trunking mode, fleet map, and talk group display format.

The BankNumber, SubBankNumber, IDNumber, and AlphaTag fields are required. The ID field is optional.

For example, bank 0, ID subbank number 0, ID number 2, Police Disp, ID 48 (in a Motorola Type-II system), display format Decimal would look like:

0,0,2,Police Disp,48

An EDACS ID in bank 2, ID subbank number 1, ID number 0, Police Disp, ID 13-060, display format AFS would look like:

2,1,0,Police Disp,13-060

Here is a snippet of a CSV file for the Santa Clara, CA public safety system. It’s a Motorola Type-II system loaded into Bank 0. That bank also has a couple of conventional frequencies (CHP and WWV). Note that several alpha tags are enclosed in the double quote character. This is because they contain trailing spaces. When creating such a CSV file, you don’t really need the trailing spaces, as Win96 will automatically pad any alpha tags with fewer than 12 characters with spaces, so that the tag contains exactly 12 characters. When exporting to a CSV file, Win96 keeps the trailing spaces and encloses the entire tag in double quotes so that external software will “see” the entire 12-character tag.

0,MOT,0,0,0,0,0,0,0,0,DEC

0,0,SantaClaraC1,867.86250,MOT,0.0

0,1,SantaClaraC2,868.62500,MOT,0.0

0,2,SantaClaraC3,868.88750,MOT,0.0

0,3,SantaClaraC4,866.20000,MOT,0.0

0,4,SantaClaraC5,866.26250,MOT,0.0

0,5,SantaClaraC6,866.46250,MOT,0.0

0,6,SantaClaraC7,866.83750,MOT,0.0

0,7,SantaClaraC8,866.91250,MOT,0.0

0,8,SantaClaraC9,867.07500,MOT,0.0

0,9,SantaClaraCA,867.33750,MOT,0.0

0,10,SantaClaraCB,868.98750,MOT,0.0

0,11,"CHP Cars    ",42.28000,CT,131.8

0,12,"CHP Base    ",42.50000,CT,131.8

0,13,"WWV         ",25.00000,AM,0.0

0,0,0,"Police Disp ",00016

0,0,1,Police Incid,00048

0,0,2,"Police Recs ",00112

0,0,3,Police Suprv,01616

0,0,4,Police Admin,01648

0,0,5,Police Lias1,00208

0,0,6,Police Lias2,00240

0,0,7,"Police Dets ",00080

0,0,8,"Police Comn ",00912

0,0,9,Police Comax,01200

0,0,10,Fire Disptch,00272

0,0,11,Fire Incid 1,00304

0,0,12,Fire Incid 2,00336

0,0,13,Fire Incid 3,00368

0,0,14,"Fire Admin  ",01712

0,0,15,"Fire BCs    ",01744

0,0,16,"Fire Chem   ",01776

0,0,17,"Fire Common ",00944

0,0,18,Citywd Emerg,00144

0,0,19,Citywd MjInc,00176


Bank Editor

Win96’s Bank Editor function allows you to rearrange the 10 banks in the PRO-96, without any cumbersome and/or error-prone copy and paste operations. To start the Bank Editor, go to the Edit menu and select Bank Editor (or press ALT+B). The Bank Editor window will be displayed:

The four columns in the grid display:

· The “new” bank number for the row’s data

· The “old” bank number for the row’s data

· The bank’s Alpha Tag

· The bank’s Trunking Mode

In this window, you can move banks around, copy one bank’s data to another bank, or clear the contents of an entire bank. These operations must be performed in this order: Move, then Copy, then Clear. Once you’ve “copied” any bank to another bank, you cannot then “move” any banks. Likewise, once you’ve “cleared” the contents of a bank, you can’t then “move” or “copy” any banks. The move and copy buttons will be disabled as appropriate.

To Move the contents of a bank from its current location to a new bank, click anywhere in the bank’s row in the grid, then click the up and/or down arrow buttons. The selected bank will “bubble” up or down depending on the direction chosen. For example, if you click on bank 02, then click the Up arrow button, you’ll see the banks 01 and 02 swapped as bank 02 is moved up in the list..

To Copy the contents of a bank to another bank, click anywhere in the source bank’s row in the grid, then click the Copy… button. A new window will be presented asking you to select the target bank, as well as what data you want to copy (Channels, Talk Groups, Bank Tag, and Trunking Settings – the default is to copy all of these). Click one of the 10 “radio buttons” (the one-of-10 selection) to choose the destination bank, check or uncheck the data option boxes, then click the OK button (or the Cancel button to abort this bank copy operation). In the grid, you’ll see the destination bank’s contents updated with the information from the source bank (the Bank Name and Mode cells will only be updated if you elected to copy the Bank Tag and Trunking Settings, respectively; otherwise, those cells will retain their previous values). Additionally, the Up and Down arrow buttons will be disabled (“grayed-out”) if they were not already.

To Clear the contents of a bank, click anywhere in the bank’s row in the grid, the click the Clear button. The text in that row will be changed to red to indicate that it will be cleared (you may have to move the row highlight off of the cleared row to see the change in color). Additionally, the Up and Down arrow buttons and the Copy… button will be disabled (“grayed-out”) if they were not already.

When you are finished rearranging/copying/clearing banks, click the Bank Editor window’s OK button (or the Cancel button to discard all of your changes). You’ll be returned to the main Win96 window, and the Channels page will be updated to reflect your edits.


Virtual Scanner Interface

You can manage the contents of the PRO-96’s Virtual Scanner folders from Win96. To start the Virtual Scanner Management utility, select Virtual Scanner… from the Scanner menu. Win96 first attempts to open your selected serial (COM) port, then displays the Virtual Scanner Management window:

The grid is used to:

· displays the current contents of the PRO-96’s Virtual Scanner folders,

· select folders to read into Win96,

· select folders to erase, and

· select folders to update with a specified P96 file (the file must already exist).

(The following text assumes that the scanner is connected to the PC with a supported programming cable and is powered on – i.e. you have things set up so that you could successfully perform an upload or download operation).

When you first start the utility, the grid will be blank. If you click the Refresh button, Win96 will initiate communications with the PRO-96, put the scanner into “remote V-Scanner” mode, and retrieve the “Welcome Display” text for each of the scanner’s 10 Virtual Scanner folders.

It is recommended that each time you start the Virtual Scanner Management utility, you immediately click the Refresh button.

(The following text assumes that you have clicked the Refresh button and can now see the contents of all 11 Virtual Scanner folders in the grid).

The Virtual Scanner Management utility performs Read, Clear, and Write operations in a “batch mode”. That is, you specify via the checkboxes in the grid the operations you want to perform, then tell the utility to execute the specified functions. The utility then runs through all of the operations in order of folder number.

To Read a Virtual Scanner Folder:

To read a VS folder into Win96, click on that folder’s “Read” checkbox. When you click the Commit button, that folder will be read into the utility.

If you decide that you don’t want to read the VS folder, click on the “Read” checkbox again to remove the check mark.

To Erase (Clear) a Virtual Scanner Folder:

To clear a VS folder (erase its contents in the scanner), click on that folder’s “Clear” checkbox. When you click the Commit button, that VS folder will be erased.

If you decide that you don’t want to clear the VS folder, click on the “Clear” checkbox again to remove the check mark.

To Write to a Virtual Scanner Folder:

To send an existing P96 file to a VS folder, click on that folder’s “Write” button. You’ll be prompted for a P96 file to open (in much the same way as if you had selected File à Open from Win96’s main menu). The “File” column for the selected folder will display the name of the P96 file that will be sent to the scanner, and the “Welcome Display” column will be updated to show the corresponding information from the selected P96 file.

If you decide that you don’t want to update the VS folder, click on the “Write” checkbox again to remove the check mark.

When you have configured all of the Read, Clear, and Write operations that you want to perform, click the Commit button. Win96 will execute all of your specified operations, one by one. At any time, you may cancel the in-progress operation(s) by clicking the Cancel button that appears when you click the Commit button. The Cancel button will cause the utility to stop after the current operation has completed (there is no way to tell the scanner to abort the current operation – if Win96 was to immediately abort, the scanner could be left in a “hanging” state). WARNING: If you cancel an operation before it has completed, you should immediately click the Refresh button to see what’s actually been done to the radio’s Virtual Scanner folders.

If you click the utility’s Done button without hitting Commit, any pending operations that you’ve selected will be discarded.

If you’ve read any VS folders into Win96 when you click the Done button, you’ll be asked if you want to bring those folders over to the main window as “new files” (as if you’d performed a “Download” operation). If you click the Yes button, the Virtual Scanner Management utility will exit and you’ll see new “files” in Win96, with names of the form <VS folder n>, where n is the folder number from 0 to 10. If you click the No button, the utility will exit and the folders you’ve read will be discarded from Win96 (though they’ll still be in the scanner). If you click the Cancel button, then the utility will not be exited.

Configuration Files

You can create a text file (extension .txt) that contains the names of up to 11 P96 files. If you read this text file using the Load Config button, Win96 will read each of the specified P96 files into memory and will mark them for “writing” to the corresponding V-Folder.

When reading the text file, Win96 ignores any lines that begin with a hash mark (#) or that are empty. To clear a V-Folder, put the text <empty> on its own line for that V-Folder.

For example, suppose a text file contained the following:

# A sample Virtual Scanner Configuration file

#

# V-Folder 0, Don’s Santa Clara, CA file

c:\program files\winxx\Santa Clara, CA.p96

# V-Folder 1 is empty (cleared)

<empty>

# V-Folder 2 – some random frequencies

c:\program files\winxx\Random Junk.P96

# No more valid filenames in this text file, so remaining folders are cleared

If you click the Load Config button and select this file, Win96 would prepare to write Santa Clara, CA.p96 into V-Folder 0 and Random Junk.p96 into V-Folder 2. The remaining V-Folders would be cleared (as if you had clicked the Clear checkbox for each) – V-Folder 1 because it has explicit <empty> text, and V-Folders 3 through 10 because there are no lines in the file for them.


Extended Trunking Tables

Some trunked systems may use “tables” that differ from the norm. These systems might use different frequency bases, channel offsets, and/or step sizes for various channel ranges. For such systems, Win96 allows you to enter “extended” trunking tables. For each of the PRO-96’s 10 banks, you may change the Base/Offset/Step values for up to six (6) channel ranges.

When the PRO-96 decodes data on the control channel and decides that it wants to tune to the voice channel for a particular transmission, it looks at the “channel number” that is included in the control channel information. Based on this channel number, it tunes its receiver to a specific voice frequency. This voice frequency is calculated according to the following formula:

Voice Frequency = Base + [(channel – Offset) x Step]

The PRO-96 has certain default settings that determine the Base, Offset, and Step values for any given channel number in any of the supported trunking modes. These “trunking modes” will vary based on band (VHF, UHF, 800 MHz, and 900 MHz), “splinter” vs. “normal”, and control channel type (3600 vs. 9600 bps). The following table describes these default settings:

Band

CC Type (bps)

Splinter?

CH Low

CH High

Base Freq (MHz)
Offset

Step Size (kHz)

VHF

3600

No

380

759

136.00000

380

25

UHF

3600

No

380

759

406.00000

380

25

800 MHz

3600

No

0

719

851.01250

0

25

720

759

848.00000

0

25

815

831

846.62500

0

25

958

958

868.97500

958

25

961

1022

843.40000

0

25

800 MHz

3600

Yes

0

599

851.00000

0

25

600

719

851.01250

0

25

720

759

848.00000

0

25

815

831

846.62500

0

25

958

958

868.97500

958

25

961

1022

843.40000

0

25

900 MHz

3600

No

0

479

935.01250

0

12.5

VHF

9600

No

0

65535

136.00000

0

25

UHF

9600

No

0

65535

406.00625

0

6.25

800 MHz

9600

No

0

65535

851.00625

0

6.25

900 MHz

9600

No

0

65535

935.00625

0

6.25

After calculating the voice frequency from the above table, the PRO-96 then checks to make sure that the result is within appropriate limits for the current band. These limits are:

Band

Low Freq (MHz)

High Freq (MHz) *

VHF

136.00000

174.00000
UHF

406.00000

512.00000

800 MHz

850.00000

869.00000

900 MHz

935.00000

941.00000

* For all but 900 MHz, the resulting voice frequency must be less than this High Freq limit. For 900 MHz, the voice frequency may be equal to the high limit.

Note that this frequency range check will effectively limit the “valid” channel numbers in each range. For example, while the PRO-96 doesn’t explicitly check to ensure that a channel number in an 800 MHz 9600 bps system is within a specific range, any channel number greater than 2878 will yield an out-of-range frequency: 851.00625 + (2879 x .00625) = 869.00000 MHz, and that resulting frequency is out of range for an 800 MHz system.

The values above are used if you select Normal or Splinter under MOT 3600 CC, or Normal under MOT 9600 CC, in Win96’s Channels page. If you select Custom in either of those sections, then the Base, Offset, and Step sizes listed under MOT Custom Trunking Table are used.

Another option is to define up to six table entries of your own within each bank. This would be used for systems where there are multiple channel ranges defined, and those ranges’ Base, Offset, or Step values do not match the defaults above. The Extended Tables button on the Channels Page allows you to define these new table entries. When you click that button, the following window is displayed:

The values above are the defaults – they’re automatically set when you create a new P96 file. Notice that these values match the table above for the Normal 800 MHz 3600bps system type.

The grid of channels, base frequencies, etc. let you set your own values for up to six channel ranges in each bank. These values would be set based on information that you have regarding the system to be scanned.

In the “Standard Plans” area of the window, you can select one of the PRO-96’s nine “default” settings. These are the values used when you select “Normal” or “Splinter” for the 3600 and 9600 bps control channels.

This feature is not need for the vast majority of trunking systems out there. However, there are some systems that do require you to enter multiple channel ranges here. For example, certain Australian systems that have three different Base, Offset, Step settings.


Troubleshooting

This section is intentionally left blank. In future versions of the help file, this page will be populated with answers to support questions that appear on various mailing lists, direct emails to the author, etcetera. The same content will be available at the Win96 web site.


Revision History

Version 1.57 2008.08.10

· Changed SR-3 (Police/Fire) group 3 range limits to match the scanner instead of the scanner’s manual.

Version 1.56 2008.06.29

· Rearranged/resized Conventional Web Import dialog in an attempt to help those with too-small screen resolutions.

Version 1.55 2008.01.24

· Added "License Key..." item to Help menu. It will display your registration information

Version 1.54 2007.06.17

· In the RR Web Import (trunked) dialog, added XML export of the selected items. The resulting XML file cannot be imported into Win96.

Version 1.53 2006.04.13

· Removed the range limitation on Extended Table step sizes.

Version 1.52 2006.01.14

· Added the ability to write to a file (and then later read back) the XML data that is returned by RadioReference.com. This might be useful if you wanted to manually (or programmatically) edit such things as “display” or “description” fields before actually importing into a bank.

· Fixed talkgroup display problem in the Import dialog’s tree control (they were being shifted up 4 bits). This only affected display in the tree; talkgroups were still imported correctly.

Version 1.51 2006.01.09

· Added a message that is displayed when an error is detected in the XML received from RadioReference.com.

Version 1.50 2006.01.07

· Added import of conventional frequencies from RadioReference.com.

Version 1.49 2006.01.05

· Fixed a bug that would cause a crash if you right-click in an empty area of a grid (i.e. not on a cell).

Version 1.48 2005.09.04

· Fixed attenuation settings in Weather channels.

Version 1.47 2005.07.23

· Removed the ‘Search On’ checkbox from the Marine search page – the scanner ignores this entry and always enters the Marine range in “manual” mode (FUNC SRCH required to start searching).

· Fixed a couple of bugs that, under rare circumstances, could cause crashes in the RadioReference web import.

Version 1.46 2005.06.23

· When saving or uploading, added a check to make sure at least one “group” is selected in the Ham and Police/Fire search ranges. This prevents scanner lockups if the user deselects all groups then uses the search range on the radio.

· Removed checks for 12 characters when entering alpha tags. Win96 will still truncate (or pad) each entry to 12 characters, but no error messages will be issued if more characters are entered.

· Fixed some data-saving code when leaving some of the search ranges – entries would revert to previous values.

Version 1.45 2005.03.14

· In the RadioReference Web Import, added a distinction between “normal” counties and independent cities (e.g. Baltimore, MD) in the County drop-down list.

Version 1.44 2005.03.03

· Moved the “dump” files (TRS and XML) from the root of drive C to the directory where Win96.exe resides.

Version 1.43 2005.02.26

· In the RadioReference Web Import, added a field for the URL of the Web Services app. This should not normally be changed by the user, and is only provided in case the URL changes in the future.

Version 1.42 2005.02.22

· Added the option for a “beep” when checking and unchecking items in the various grids. You have to manually edit the WIN96.INI file directly to enable this feature. After running version 1.42 at least once, open the WIN96.INI file. Find the line that starts with “BeepOnCellCheck=”, and change the N to a Y. Subsequent runs of Win96 will beep when you toggle check box items in the grids. On NT versions of Windows the tones are 880 Hz for the checked state, 440 Hz for the unchecked state. On Windows 95, 98, and Me, you merely get a tone for the checked state - the unchecked state is silent.

· In the RadioReference Web Import, added counts of selected channels and talkgroups to the display.

Version 1.41 2005.02.16

In the RadioReference Web Import:

· moved the United States and Canada to the top of the list of countries, under the presumption that they'll be the two most-accessed.

· removed the error that’s displayed when a site has no channels (RR spec vs. actual data disagreement)

· in the drop-down lists of countries, states, etc., you can now use the keyboard to navigate (previously, you were forced to use the mouse). Pressing the first letter of the desired “name” (repeatedly, as necessary), or using the up/down arrow keys to find what you want, then hitting the TAB key will download the selected object, fill in the next list, and take you to that next list. When you select a System, you’ll be taken to the “tree” of sites / talkgroups. Instead of repeatedly hitting a letter key to get to the item you want, you can also type the first few letters of the item’s name. For example, to select “Statewide” in Michigan, you can hit S T A instead of hitting S seven times.

· in the tree of sites / talkgroups, enabled the space bar for selecting and de-selecting items.

· moved the “stripping” of site names’ trailing asterisks to the actual parsing of the XML, so that they don’t appear in the tree

· added another option for talk group ID alpha tags, so that you can set the tag to a text representation of the ID. Note that this will be used for any given tag (individually) if you select either “Display” or “description”, and the result of your selection is a blank tag.

Version 1.40 2005.02.15

A bunch of changes related to the new RadioReference Web Import feature:

· added some more checks for invalid or incomplete data, including bandplans and system flavor versus fleetmap. When such inconsistencies are found, you’ll be prompted with an error message. The message will usually suggest that you report the problem to RadioReference.com, and will include the RR “system ID” value to be included in such a report. If it’s possible to continue even with the error (e.g. if Win96 is able to detect that the bandplan’s Offset and Step Size values are obviously swapped), you’ll be given that option.

· changed the “IMPORT THIS SYSTEM” button’s function, so that it will work even if there are no sites, channels, or talkgroups in the data returned by RadioReference. This would allow you, for example, to bring in trunking information and channels even if the database contains no talkgroup info. Previously, the IMPORT function would do nothing if you didn’t have both sites and talkgroup “groups” in the tree of system data.

· fixed a problem with the HTTP data-retrieval code, where it wouldn’t get the last bit of data if there wasn’t a terminating newline character. This could manifest itself in many ways. For example, Win96 would tell you that Colorado contains no counties.

· added the ability to filter out “Alternate” control channels, in addition to viewing control channels only.

· added the ability to skip duplicate frequencies. If this option is selected, only the first occurrence of a particular frequency will be imported.

· added the ability to import just the frequencies for non-supported systems (e.g. LTR). No trunking data will be transferred, and the channels will be set to FM.

· your RadioReference.com username and password will be saved (in the INI file, in clear text), if you check the “Remember me” box.

Version 1.39 2005.02.15

· In the RadioReference Web Import, added a fix for some “backwards” data sent by the RR DB. The DB often has the Offset and Step Size values mixed up. Win96 will now detect this and fix it on the fly.

Version 1.38 2005.02.14

· Added an import function for RadioReference.com’s “Web Services”. This allows you to directly import trunked system data from the RR database, without copy/paste. This is a first cut of this feature, and it will likely change in the near future (based on user comments). Note: you must be a contributing member of the RadioReference site to use this feature.

Version 1.37 2005.02.07

· Re-added the “Load Config” button to the Virtual Scanner Management dialog. It was inadvertently removed in the 1.36 changes.

Version 1.36 2005.02.01

· Added PRO-96 vs. PRO-2096 backlight control. Note that the backlight timeout for the PRO-96 must now be a multiple of 4 (any existing files will have their values “adjusted” automatically). Also, any existing files that currently have backlight timeout values which are not multiples of 4 will need to be edited if you plan on uploading them to a PRO-2096, either via Win96 or by cloning from a PRO-96.

Version 1.35 2004.09.19

· Removed the “Search On” checkbox from the Marine search range – that feature is non-functional in the PRO-96 (it always comes up stopped on the last monitored Marine channel).

· Added a new “CSV data set” file import type. This is a text file (e.g. abc.txt) that contains up to 10 filenames, each of which is a CSV file that contains one bank of data. When importing one of these data set files, a new P96 file will be created, like File -> New, and the specified CSV files will be read into that new template’s banks. See the File Import and Export help page for more information.

· Added a “Load Config” button to the Virtual Scanner Management dialog. This loads a text file that contains the names of up to 11 P96 files. When reading this “configuration” file, Win96 will prepare to load the specified files to the PRO-96’s V-Folders. See the Virtual Scanner Interface help page for more information.

Version 1.34 2004.08.27

· Added right-click functionality to the data-entry grids (where copy/paste functionality already existed).

· Added the PRO-96’s nine “standard trunking plans” to the Extended Tables dialog.

· Fixed a bug in the CSV import code that kept the “import into current bank” function from working.

· Removed the 174-216 MHz frequency range from the available data-entry ranges. The “extended frequencies” feature doesn’t allow this range.

Version 1.33 2004.08.01

· Added a new CSV format, one that will be shared among all of the WinXX applications. Win96 now writes only this format, but will continue to read the “old” format. This new format will be documented in a separate text file, to be released on the Win96 web site.

Version 1.32 2004.06.12

· Added the ability to Left- or Right-justify alpha tags. The “Center tags” menu item (Edit menu) has been changed to “Justify”, and new options have been added to the dialog box that appears when that menu item is selected.

· When sorting channels or talk groups, you’re now prompted as to whether you want any leading spaces to be ignored during the sort. This is useful if you have justified (i.e. center or right) the tags, and you want them to be sorted without regard to the initial spaces that might have been added for justification purposes.

· Fixed cut/copy/paste and multi-selection in the search range lockouts.

· Added the requirement that at least one bank be checked under “Enabled Scan Banks” on the Settings page.

· Removed the two checkboxes from the Extended Tables dialog.

· Added new “Multi table” options to the 3600 and 9600 groups on the Channels page.

· The MOT Custom Trunking Table data-entry fields are now enabled only when at least one of the two “Custom table” items are selected.

· The Extended Tables button is now enabled only when at least one of the two “Multi table” items are selected.

Version 1.31 2004.04.21

· The Lockouts lists (SR3 – SR6) are now sorted when you upload to the scanner or save the P96 file. The PRO-96, apparently, does not like out-of-order lists (this makes sense, given the most likely algorithm for checking that list while searching).

· Added Cut, Copy, and Paste functionality to the Lockouts lists in SR3 – SR6.

Version 1.30 2004.03.03

· Fixed a bug introduced in version 1.29 (caused by some test code) that seemed to kill the scanner’s ability to track UHF systems.

Version 1.29 2004.02.29

· Changed the frequency pasting code so that it will accept strings up to 11 characters in length, instead of the previous maximum of 10 characters. This will allow pasting of frequencies greater than or equal to 1 GHz with 6 decimal places. (The previous limit was incurred by legacy code – Win92 didn’t allow frequencies that high, so 10 characters was a reasonable limit).

· Removed a check for “printable” characters in alpha tags. This is to allow most of the actual characters available on the PRO-96.

· Added the “extended” frequencies to SR6 lockouts.

· Changed the copy-protection scheme so that it no longer depends on the user’s hardware. It is now dependent upon the user’s name and email address only.

Version 1.28 2003.10.29

· Fixed the 1.27 “alpha tag trailing spaces trim” in talk group IDs. An errant copy/paste in the source kept this from working.

· Added configurable copy options to the Bank Editor. You can select which items are copied (any combination): Channels, Talk Groups, Bank Tag, and Trunking Settings.

· Changed the radio’s power-up mode to “Scan” instead of “Manual”. On the first reset or power-up after an upload, the scanner will begin scanning instead of parking in manual mode on channel 000.

· Fixed an erroneous step size validation in the Extended Tables window. It was forcing integral multiples of 6.25 kHz, which is clearly wrong. The code now lets you enter any integral multiple of 250 Hz from 5.000 kHz to 100.000 kHz.

Version 1.27 2003.10.20

· Added the ability to open P96 files from the Win96 command line. If you associate P96 files with Win96, double-clicking a P96 file in Windows Explorer will launch Win96, opening the selected file.

a. Each time you double-click a file, you’ll end up opening a new instance of Win96. If Win96 is already open, use “drag and drop” (see the next bullet point).

b. You can associate P96 files with Win96 by clicking the new “P96 File Associate” button found on the Miscellaneous Preferences window under the Configuration Menu. That button will update the Windows registry so that future double-clicks on P96 files will launch the copy of Win96 in which you clicked the “Associate” button. Win96 could do this automatically at startup, but I prefer not to mess with the registry unnecessarily.

· Added “drag and drop” functionality, so that you can drag one or more P96 files (e.g. from Windows Explorer) and “drop” them onto Win96. Win96 will then open each of the dropped files.

· Changed how the window position is stored at program exit. This fixes an “invisible window” problem that could occur if you previously closed the app while it was minimized or maximized.

· When editing alpha tags (channels or talk group IDs), the program now trims off trailing spaces when you start editing.

· Added a new item on the “Edit” menu, allowing you to center a bank’s alpha tags. (Tags will not be centered automatically – you must explicitly select this feature!).

· Added a “frequency fill” feature to the “Edit” menu.

Version 1.26 2003.10.12

· Fixed a bug in the FRS/GMRS/MURS page that caused the receive mode to be corrupted.

· Changed the “Find Duplicate Frequencies” results window so that you can leave it visible while you go back and edit the channels list. You don’t have to dismiss it before searching for duplicates again – it will be closed automatically.

· Added a “Most Recently Used” list to the File menu. Up to eight of the most recently opened or saved file names will be listed.

· Improved the “paste” feature, so that the first row of text can be a “header row” that will tell Win96 what the following data means. For example, if the data you copy to the clipboard looks like:

#

Alpha Tag

Frequency

Rx Mode

CT/DC

8

SantaClaraC9

867.07500

MOT

9

SantaClaraCA

867.33750

MOT

10

SantaClaraCB

868.98750

MOT

11

Cupertino PD

155.70000

FM

12

CHP Base

42.50000

CT

131.8

13

CHP Cars

42.28000

CT

131.8

then Win96 will correctly interpret the data. This is an improvement over the auto-detect mechanism, as that method requires that each cell have valid data for the data type. One “bad cell” can mess up an entire column and, possibly, the entire paste operation. With a header row, “bad cells” will simply be ignored (or adjusted to “valid” data).

Note: The “#” column is ignored. Paste operations always start at the first selected Win96 row and continue sequentially.

· Allowed pasted Alpha Tags to be longer than 12 characters. While the actual tag stored in Win96 and sent to the radio will still be truncated at 12 characters, at least a “long tag” won’t cause the paste operation to fail.

· Added export to XLS files. (“Import” is under construction). Note: You must have Microsoft® Excel installed to use this feature.

Version 1.25 2003.10.03

· Added options to the Edit menu that allow sorting channels and talk group lists.

· Added an “extended frequencies” option, which seems to enable some sort of hidden test mode that allows all frequencies except cellular. Frequencies can be sent from Win96, or can be entered directly on the scanner’s keypad (including in SR6 – Limit Search).

Version 1.24 2003.09.26

· Fixed a bug in the talk group ID list. When you entered an alpha tag in item #29 in any subbank, the alpha tag for item #00 in the following subbank would be altered.

· Fixed a “data changed” flag that would cause the program to think a file had changed when you pressed ALT+DELETE, even if you cancelled the operation.

· Added “Cut” functionality (available from the Edit menu, or by pressing CTRL+X). This is a combination of the Copy and Delete functions, and works in the Channels and Talk Group ID lists.

Version 1.23 2003.09.26

· Fixed a bug in the scanner upload history that caused the oldest upload to be displayed for a folder, instead of the most recent upload.

Version 1.22 2003.09.21

· Added the “Default” and “AM” settings to the receive modes on the FRS/GMRS/MURS, Police/Fire, and Ham search ranges.

Version 1.21 2003.09.21

· Modified the upload history added in 1.20 so that you can “filter” the data to only show the most recent uploads to the main memory or each V-Scanner folder. This will indicate the current contents of the scanner, according to the upload history.

Version 1.20 2003.09.19

· Added a "history" of uploaded files. This is updated by both "Main Memory" uploads and V-Scanner writes. The new item is accessible via the Scanner menu.

Version 1.19 2003.09.12

· Fixed a bug in the “talk group ID validation” code that might cause endless “invalid talk group ID” messages (there really was an invalid ID, but the messages should stop).

Version 1.18 2003.09.11

· Changed all references to the CTCSS and DCS modes to “CT” and “DC”. This was done to match the nomenclature used in the PRO-96 and its manual. The previous “names” in Win96 and this help file were inherited from Win92, and were not suitable for Win96.

Version 1.17 2003.09.11

· Fixed a bug in the Configuration menu, created when the “Miscellaneous Preferences” dialog was added, that caused the Serial Port menu item to also invoke the Preferences dialog.

Version 1.16 2003.09.10

· Added a “Miscellaneous Preferences” dialog, under the Configuration menu:

a. Added the ability to enter more than 12 characters in the various alpha tag fields. This has no effect on the fact that exactly 12 characters will be saved in the file and sent to the radio. It’s merely here so that you can type new text into a tag field that is already “full”. When the file is saved, the data sent to the radio, or when you switch to another bank or P96 file, all alpha tags will be truncated (or padded with spaces) so that they are 12 characters long.

· “Uncentered” the on-screen displays of the Welcome Display text and the Priority Channel Alpha Tag. These tags will now be displayed at the left edges of their respective edit boxes. With a fixed-pitch font, the Win96 display should more accurately reflect what will appear on the scanner’s LCD.

Version 1.15 2003.09.09

· Added a “Copy Bank” feature to the Edit menu. This is for copying a bank in one P96 file to any bank in another P96 file (to copy banks within a single P96 file, use the Bank Editor function).

· Fixed a bug in the Bank Editor that kept the bank open/closed flag from copying properly.

· On the Channels tab (“page”), “unselect” any selected rows in one grid when you click on the other (e.g. if you have selected rows in the list of channels, then you click in the list of talk groups, the rows in the channels list will be deselected).

· Increased the visible time for ToolTips (the little snippets of help text that appear when you hold the mouse pointer over a control). This was done because some of the tip text is long, and was difficult to read in the time allotted.

Version 1.14 2003.09.06

· Fixed a problem where the Bank Editor didn’t move/copy/clear CT/DC codes.

Version 1.13 2003.09.03

· Made the battery levels persistent across file save / upload.

· Fixed the “empty Help menu” problem found on some Windows 98 systems.

Version 1.12 2003.09.02

· Fixed a lock up problem that occurred if the Virtual Scanner interface was started when a “valid” COM port has not been selected.

Version 1.11 2003.09.01

· Pre-release version, subject to change

(Versions prior to 1.11 were for internal testing and selected evaluations. They were not released to the public.)